%global pypi_name    pyrsistent
%global pypi_version 0.18.1

%bcond_without tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Persistent/Functional/Immutable data structures

License:        MIT
URL:            http://github.com/tobgu/pyrsistent/
Source0:        %{pypi_source}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_version}dist(setuptools)
BuildRequires:  gcc

%if %{with tests}
BuildRequires:  python%{python3_version}dist(hypothesis) < 7
BuildRequires:  python%{python3_version}dist(pytest) < 7
%endif

%global _description %{expand:
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable.

All methods on a data structure that would normally mutate it instead
return a new copy of the structure containing the requested updates. The
original structure is left untouched.}

%description %_description


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{__python3} setup.py test
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.mit
%doc README.rst
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/_pyrsistent_version.py
%{python3_sitearch}/pvectorc.cpython-*.so
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Apr 20 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 0.18.1-1
- Initial package.
